[arch-commits] Commit in libnftnl/repos (3 files)

Sébastien Luttringer seblu at archlinux.org
Sun Apr 5 02:04:40 UTC 2020


    Date: Sunday, April 5, 2020 @ 02:04:40
  Author: seblu
Revision: 379522

db-move: moved libnftnl from [testing] to [core] (x86_64)

Added:
  libnftnl/repos/core-x86_64/PKGBUILD
    (from rev 379521, libnftnl/repos/testing-x86_64/PKGBUILD)
Deleted:
  libnftnl/repos/core-x86_64/PKGBUILD
  libnftnl/repos/testing-x86_64/

----------------------+
 /PKGBUILD            |   45 +++++++++++++++++++++++++++++++++++++++++++++
 core-x86_64/PKGBUILD |   47 -----------------------------------------------
 2 files changed, 45 insertions(+), 47 deletions(-)

Deleted: core-x86_64/PKGBUILD
===================================================================
--- core-x86_64/PKGBUILD	2020-04-05 01:17:58 UTC (rev 379521)
+++ core-x86_64/PKGBUILD	2020-04-05 02:04:40 UTC (rev 379522)
@@ -1,47 +0,0 @@
-# Maintainer: Sébastien Luttringer
-
-pkgname=libnftnl
-pkgver=1.1.5
-pkgrel=1
-pkgdesc='Netfilter library providing interface to the nf_tables subsystem'
-arch=('x86_64')
-url='https://netfilter.org/projects/libnftnl/'
-license=('GPL2')
-depends=('libmnl')
-validpgpkeys=('C09DB2063F1D7034BA6152ADAB4655A126D292E4') # Netfilter Core Team
-source=("https://netfilter.org/projects/libnftnl/files/libnftnl-$pkgver.tar.bz2"{,.sig}
-        '01-flowtable.patch::https://git.netfilter.org/libnftnl/patch/?id=b2388765e0c4405442faa13845419f6a35d0134c')
-sha1sums=('a923bae5b028a30c5c8aa4c0f71445885867274b'
-          'SKIP'
-          'b121893675fcf8568e9566899e71fb35b47bdd4e')
-
-prepare() {
-  cd $pkgname-$pkgver
-  # apply patch from the source array (should be a pacman feature)
-  local src
-  for src in "${source[@]}"; do
-    src="${src%%::*}"
-    src="${src##*/}"
-    [[ $src = *.patch ]] || continue
-    msg2 "Applying patch $src..."
-    patch -Np1 < "../$src"
-  done
-}
-
-build() {
-  cd $pkgname-$pkgver
-  ./configure --prefix=/usr
-  make
-}
-
-check() {
-  cd $pkgname-$pkgver
-  make check
-}
-
-package() {
-  cd $pkgname-$pkgver
-  make DESTDIR="$pkgdir" install
-}
-
-# vim:set ts=2 sw=2 et:

Copied: libnftnl/repos/core-x86_64/PKGBUILD (from rev 379521, libnftnl/repos/testing-x86_64/PKGBUILD)
===================================================================
--- core-x86_64/PKGBUILD	                        (rev 0)
+++ core-x86_64/PKGBUILD	2020-04-05 02:04:40 UTC (rev 379522)
@@ -0,0 +1,45 @@
+# Maintainer: Sébastien Luttringer
+
+pkgname=libnftnl
+pkgver=1.1.6
+pkgrel=1
+pkgdesc='Netfilter library providing interface to the nf_tables subsystem'
+arch=('x86_64')
+url='https://netfilter.org/projects/libnftnl/'
+license=('GPL2')
+depends=('libmnl')
+validpgpkeys=('C09DB2063F1D7034BA6152ADAB4655A126D292E4') # Netfilter Core Team
+source=("https://netfilter.org/projects/libnftnl/files/libnftnl-$pkgver.tar.bz2"{,.sig})
+sha256sums=('c1eb5a696fc1d4b3b412770586017bc01af93da3ddd25233d34a62979dee1eca'
+            'SKIP')
+
+prepare() {
+  cd $pkgname-$pkgver
+  # apply patch from the source array (should be a pacman feature)
+  local src
+  for src in "${source[@]}"; do
+    src="${src%%::*}"
+    src="${src##*/}"
+    [[ $src = *.patch ]] || continue
+    msg2 "Applying patch $src..."
+    patch -Np1 < "../$src"
+  done
+}
+
+build() {
+  cd $pkgname-$pkgver
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  make check
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+}
+
+# vim:set ts=2 sw=2 et:


More information about the arch-commits mailing list